Subject: bug#78947: closed (Close)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 06 Jul 2025 20:29:05 +0000

Your bug report

#78947: Mono dependency issue

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78947: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78947
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Close
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Sun, 6 Jul 2025 22:28:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing, as this is due to bootstrapping and not an issue.

Andreas

Subject: Mono dependency issue
From: "nomike (they/them)" <[email-masked]>
To: [email-masked]
Date: Thu, 3 Jul 2025 00:32:46 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

When I'm trying to install mono, this happens:

```plaintext
$ guix install mono
The following package will be installed:
    mono 6.12.0.206

substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 
100.0%
The following derivations will be built:
   /gnu/store/9zs7qc97876snnks94r6qb7z4i1g9qys-mono-2.4.2.3.drv
   /gnu/store/v15k2ya47x728a8yg21j6airbfgb1530-mono-2.6.4.drv
   /gnu/store/6xdd326j0k3rdsmy6r3mxkzysyysxz0k-mono-2.11.4.drv
   /gnu/store/bspnf3bnq7ys52v6i448pbwgdarcg0pr-mono-3.0.12.drv
   /gnu/store/k0i7rbgap2nysd302k5x8vpvcajx9pri-mono-3.12.1.drv
   /gnu/store/jlm50hlg4pl1q5sr1rnzidrvvyh3ms0w-mono-4.9.0.drv
   /gnu/store/8mn64i3ssghrj2bj389wki5yi5ps5hk6-mono-5.0.1.drv
   /gnu/store/2zd9p91hhmlyszljhpwf8d5flyrlq7i3-mono-5.1.0.drv
   /gnu/store/qz5yw0z2n6q370ccy1sy2v1zh34mg69k-mono-5.2.0.224.drv
   /gnu/store/j2l6pyg87qw0h13d0bwvchvr2v0wpnpf-mono-5.4.0.212.drv
/gnu/store/dgdz9z07lp0d5b2kw9h5i52q8y371jjp-mono-5.4.0.201-0.d0f51b4.drv
   /gnu/store/8nv7n01wdn85ck8k9p15zdw3p515lam2-mono-5.8.0.129.drv
/gnu/store/l1x8yp7fniwpnirbvv0948m2wrvvcfng-mono-5.8.0.129-0.3e9d7d6.drv
   /gnu/store/c8i4b2rykj58gxwdcklmg3bqfjaw48bj-mono-5.10.0.179.drv
   /gnu/store/ckmk0d9q2fidfd104j7lnwx6jfpyw3sa-mono-6.12.0.206.drv

building /gnu/store/9zs7qc97876snnks94r6qb7z4i1g9qys-mono-2.4.2.3.drv...
```

So when trying to build mono 6.12.0.206 it want's to build all those 
other versions first. Is this due to how mono is designed, or do we have 
an issue with dependencies in guix?

Mono isn't small, it takes a while to compile, so this takes up quite 
some resources.

There doesn't seem to be substitutes for those packages yet, so I'm 
going to wait before installing those. Otherwise this will compile on my 
system for a few hours I'm afraid.

Cheers

nomike